{{- if .Values.VirtualService.enabled -}}
{{- $fullName := include "activemq.fullname" . -}}
apiVersion: networking.istio.io/v1alpha3
kind: VirtualService
metadata:
  name: {{ $fullName }}-amq
  labels:
    app.kubernetes.io/name: {{ include "activemq.name" . }}
    helm.sh/chart: {{ include "activemq.chart" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
spec:
  gateways:
  - global-gateway.istio-system.svc.cluster.local
  hosts:
  - amq-{{ .Values.global.virtualServiceHost }}
  http:
  - match:
    - uri:
        prefix: /
    route:
    - destination:
        host: {{ $fullName }}-ui
        port:
          number: 8161
{{- end }}
